package com.sqx.modules.artificer.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.Artificer;
import com.sqx.modules.artificer.entity.ArtificerMassage;

import java.util.List;

public interface ArtificerMassageService extends IService<ArtificerMassage> {

    Result insertArtificerMassage(String artificerMassages, Long userId);

    Result updateArtificerMassage(ArtificerMassage artificerMassage);

    Result deleteArtificerMassage(Long id);

    Result selectArtificerMassage(Long userId, Integer page, Integer limit, Integer status);

    int updateArtificerMassageStatus(ArtificerMassage artificerMassage);

}